Create balance

Register a balance for an interest-bearing account using a previously configured interest plan to determine applicable interest rates.

This endpoint generates the Interest balance succeeded event when the balance is created successfully.

The event payload includes: program_id, balance_id, account_id, interest_plan_id, balance, start_cycle_date, value_date, and maturity_date. Optional fields division_id and external_account_id are included in the event only when present in the request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Requested body of authorization

string
required
length ≤ 64

Unique identifier for the balance, generated by the client. The value must be a valid UUID.

string
length ≤ 64

Division ID. When not provided, defaults to DEFAULT_DIVISION internally.

string
required

Account ID

string
length ≤ 64

External account ID managed by the requester.

string
required
length between 36 and 36

Interest plan ID generated during the plan's creation. Must be an alphanumeric UUID with the alphabetical characters in lowercase.

double
required
≥ 0

Balance amount. Must be equal to or greater than zero.

date
required

Start of the interest cycle. Format = YYYY-MM-DD.

date
required

Deposit date. Format = YYYY-MM-DD.

date
required

Deposit maturity date. Format = YYYY-MM-DD.

Headers
string
required

Program ID

string
required

Tenant (organization) ID

string
required

Correlation ID

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json